here is a part of the code: ThisDrawing.Utility.InitializeUserInput 132, UserKeyWord DistText = ThisDrawing.Utility.GetReal("Please enter the distance between stations or hit 'S' to (Select): ") varInput = ThisDrawing.Utility.GetInput If Err Then If StrComp(Err.Description, "User input is a keyword", 1) = 0 Then Err.Clear ThisDrawing.Utility.GetEntity DistanceText2, ptPicked, "Please select the DISTANCE to the last deflection point:" dblHoldingDistance = CDbl(DistanceText2.TextString) ETC. ETC. ETC. my question is this: the user can either enter a distance (i.e. 232.54) or type "S" to physically select the distance text....My UserKeyWord is "S" (Select)....no matter what I enter into the command prompt (i.e "a", or "wefdrt" , any garbage text)...it tells me the err.description is "User input is a keyword"....but it should not be, ONLY "S" should be the keyword...any suggestions? HELP PLS......my error checking is horrid and this is the only thing left for me to code properly....arggghhh